[3.2] Konvertierung vBulleton 4.2.5 => phpBB 3.2

Fragen rund um die Installation, Administration und Benutzung von phpBB 3.2 und höher und die Konvertierung zu phpBB 3.3.
Forumsregeln
Bitte im Thementitel den Präfix deiner phpBB-Version [3.3] oder [3.2] angeben
Antworten
rowitech
Mitglied
Beiträge: 6
Registriert: 19.07.2020 15:19

[3.2] Konvertierung vBulleton 4.2.5 => phpBB 3.2

Beitrag von rowitech »

Hallo Forum,

ich habe mich jetzt einige Tage eingelesen und herumprobiert und bin gerade an einem Tiefpunkt angekommen und hoffe auf eine Initialzündung durch euch, wie ich einen Umstieg von vBulletin 4.2.5 auf phpBB machen kann.

Ich möchte ein vBulletin 4.2.5 mit PHP7.0 auf phpBB umstellen. Die neueste Version phpBB 3.3 konnte ich nicht nehmen, weil sie mit PHP7.0 nicht funktioniert und vBulletin 4.2.5 läuft nicht mit neueren Versionen. Aber phpBB 3.2 läuft noch mit dem alten PHP.

Also habe ich das phpBB 3.2 in ein anderes Unterverzeichnis meines alten Forums installiert und (dank Präfix) sogar in die gleiche Datenbank (lokal) installieren lassen. Als Konverter habe ich etwas gefunden, das eigentlich für vBulletin 3 war, aber wohl auch mit dem 4.2.5 (laut amerikanischem phpBB-Forum) funktionieren sollte, wenn ich das richtig verstanden habe.

Erster Schritt war "install phpBB", wobei mir nicht klar ist, ob ich es wirklich durchinstallieren sollte oder ob es nur entzippt werden sollte.
Also entzippt, Konverter-Dateien an die richtigen Stellen entpackt und per Browser das Verzeichnis aufgerufen. Dort konnte ich nur installieren, aber die Lasche "Convert" findet sich da nicht. Also habe ich erstmal eine jungfräuliche Installation von phpBB gemacht und danach nochmal das /install aufgerufen. Und schon kommt auch die Lasche "Convert". Prima. Draufgeklickt und bekomme aber leider nur einen weißen Bildschirm (scheinbar ohne html-Inhalt). Zu einer Auswahl, welchen Konverter ich nutzen möchte, kam ich da garnicht mehr.

Könnt Ihr mir da einen Tipp geben? Bin recht neu in phpBB, würde aber gern umstellen. Das hier scheint die richtige Wahl zu sein :).

Grüße,
Rolf

Benutzeravatar
Crizzo
Administrator
Administrator
Beiträge: 10843
Registriert: 19.05.2005 21:45
Kontaktdaten:

Re: [3.2] Konvertierung vBulleton 4.2.5 => phpBB 3.2

Beitrag von Crizzo »

Hi,

eine "weiße Seite" bzw. "ein weißer Bildschirm" ist ein unterdrückter PHP-Fehler. Heißt, du musst deinen PHP-Errorlog vom Server auslesen.

Was steht da?

Grüße

rowitech
Mitglied
Beiträge: 6
Registriert: 19.07.2020 15:19

Re: [3.2] Konvertierung vBulleton 4.2.5 => phpBB 3.2

Beitrag von rowitech »

Vielen Dank! Oh je, da hätte ich wirklich mal schauen können.

Könnte es sein, dass mein convert_vb30.php nicht mehr mit phpBB3.2 funktionieren will? Das war aber das einzige Konvertierungsskript, das ich gefunden hatte...

Hier die ganze (und einzige) Logzeile (anonymisiert):

Code: Alles auswählen

[Sun Jul 19 17:05:10.209129 2020] [:error] [pid 23252] [client 130.x.x.x:64065] PHP Fatal error:  Uncaught Error: Call to undefined function not() in /var/www/www.meinforum.de/phpBB3/install/convertors/convert_vb30.php:125
 Stack trace:
 #0 /var/www/www.meinforum.de/phpBB3/install/convert/controller/convertor.php(730): include_once()
 #1 /var/www/www.meinforum.de/phpBB3/install/convert/controller/convertor.php(250): phpbb\\convert\\controller\\convertor->render_convert_list()
 #2 /var/www/www.meinforum.de/phpBB3/vendor/symfony/http-kernel/HttpKernel.php(135): phpbb\\convert\\controller\\convertor->intro(0)
 #3 /var/www/www.meinforum.de/phpBB3/vendor/symfony/http-kernel/HttpKernel.php(57): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(phpbb\\symfony_request), 1)
 #4 /var/www/www.meinforum.de/phpBB3/install/app.php(61): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(phpbb\\symfony_request))
 #5 {main}
  thrown in /var/www/www.meinforum.de/phpBB3/install/convertors/convert_vb30.php on line 125, referer: https://www.meinforum.de/phpBB3/install/app.php

Benutzeravatar
Mahony
Ehemaliges Teammitglied
Beiträge: 12063
Registriert: 17.11.2005 22:33
Wohnort: Esslingen (Neckar)
Kontaktdaten:

Re: [3.2] Konvertierung vBulleton 4.2.5 => phpBB 3.2

Beitrag von Mahony »

Hallo
rowitech hat geschrieben:
19.07.2020 17:23
Könnte es sein, dass mein convert_vb30.php nicht mehr mit phpBB3.2 funktionieren will?
Hast du mal einen Link zu dem Konverter?

Edit: Ich empfehle dir diesen Konverter hier >>> https://www.phpbb.com/community/viewtop ... #p13252438
Der hat bei einem User hier schon funktioniert. siehe dazu auch >>> viewtopic.php?f=145&t=242934

Grüße: Mahony
Taekwondo in Berlin
Wer fragt, ist ein Narr für fünf Minuten, wer nicht fragt, ist ein Narr für immer.

rowitech
Mitglied
Beiträge: 6
Registriert: 19.07.2020 15:19

Re: [3.2] Konvertierung vBulleton 4.2.5 => phpBB 3.2

Beitrag von rowitech »

Vielen Dank! Es tut echt gut, hier die erhoffte Hilfe zu finden!

Ursache war wohl eine zu hohe phpBB-Version, so dass ich runter auf phpBB3.0.x gehen musste. Ich habe mich dann für phpBB3.0.9 aus dem Archiv entschieden und das neuere Konvertierungsskript für vBulletin 4.x genutzt (vielen Dank!).

Einige weitere Klippen konnte ich nun bereits umschiffen. Jetzt komme ich so weit, dass ich schonmal die Credentials für das vBulletin-Forum im Konverter eingeben durfte und die Konvertierung einen Fehler wegen eines doppelten Usernamen zeigte (einmal mit "ss" und einmal mit "ß"). Den "ß"-Nutzer konnte ich als seit 2013 inaktiven Nutzer dann im alten Forum einfach löschen. Also alles nochmal komplett von vorn (ging nicht weiter) und erneut gestartet (clean install, Dateien und auch DB wieder gelöscht). Nun kommt wieder nur eine weiße Seite und ich schaute ins Apache-Errorlog.

EDIT: Das ist das alte Forum! Ich schaue nochmal, was genau den weißen Schirm ausmacht..

Code: Alles auswählen

PHP Deprecated:  Non-static method vB_Router::getInitialURL() should not be called statically in /var/www/www.meinforum.de/forum/vb/controller/error.php on line 84
Nun sieht mir die Fehlermeldung so aus, als sei meine PHP-Version (7.0.33-0) zu neu. PHP5 wäre wohl besser, aber das geht hier auf dem Server nicht, da dort noch andere Dienste laufen. Nach der Konvertierung kommt eh alles auf einen neuen Server, aber jetzt muss ich bei der PHP-Version bleiben. Gibt's da einen Kompatibilitätsmodus für PHP?

Ich habe das Gefühl, da fehlt nicht mehr so viel, hier komme ich aber nicht mehr so recht weiter.

Grüße,
Rolf
Zuletzt geändert von rowitech am 20.07.2020 18:53, insgesamt 1-mal geändert.

Benutzeravatar
chris1278
Mitglied
Beiträge: 1918
Registriert: 12.11.2007 06:20
Wohnort: Euskirchen
Kontaktdaten:

Re: [3.2] Konvertierung vBulleton 4.2.5 => phpBB 3.2

Beitrag von chris1278 »

Falls das auf dem Server bei dir nicht geht wegen PHP Version. Dann schau mal hier:

https://www.apachefriends.org/de/index.html

Dort kannst du in deren Archive auch Pakete mit PHP 5er Versionen herunterladen. Dann kannst du die Konvertierung lokal auf dem Rechner machen und später das fertige Forum hochladen.

rowitech
Mitglied
Beiträge: 6
Registriert: 19.07.2020 15:19

Re: [3.2] Konvertierung vBulleton 4.2.5 => phpBB 3.2

Beitrag von rowitech »

Danke. Der Fehler kam wohl einfach nur zeitgleich vom alten Forum. Ich habe aber einen HTTP 500 gesehen, nichtmal im errorlog, sondern im accesslog, muss man erstmal drauf kommen. Das meine ich, hätte ich irgendwo schonmal gelesen. Nur war ich seinerzeit noch nicht so weit..

Code: Alles auswählen

[20/Jul/2020:18:57:44 +0200] "POST /phpBB3/install/index.php?mode=convert&sub=in_progress&tag=vb4&confirm=1&language=de HTTP/1.1" 500 - "https://www.meinforum.de/phpBB3/i
nstall/index.php?mode=convert&sub=in_progress&tag=vb4&language=de"
Edit: Im daemon.log steht auch das hier:

Code: Alles auswählen

==> daemon.log <==
Jul 20 19:15:00 server mysqld[1073]: 2020-07-20 19:15:00 285908 [Warning] Aborted connection 285908 to db: 'vbulletin-db' user: 'vbulletin-user' host: 'localhost' (Got an error writing communication packets)
Gefunden zu dem 500er habe ich leider noch nichts. Hat jemand eine Idee? Oder kommt das wegen dem Abbruch in der DB?

Benutzeravatar
Mahony
Ehemaliges Teammitglied
Beiträge: 12063
Registriert: 17.11.2005 22:33
Wohnort: Esslingen (Neckar)
Kontaktdaten:

Re: [3.2] Konvertierung vBulleton 4.2.5 => phpBB 3.2

Beitrag von Mahony »

Hallo
Konvertiere das Forum auf einem lokalen XAMPP-Server mit der PHP Version 5.6

Grüße: Mahony
Taekwondo in Berlin
Wer fragt, ist ein Narr für fünf Minuten, wer nicht fragt, ist ein Narr für immer.

rowitech
Mitglied
Beiträge: 6
Registriert: 19.07.2020 15:19

Re: [3.2] Konvertierung vBulleton 4.2.5 => phpBB 3.2

Beitrag von rowitech »

Ich habe jetzt die Timeouts hochgesetzt, hatte das in einem der genannten Threads gefunden. Die Batches auf 1000 runter und es scheint sich erstmal etwas zu tun. ich gebe Bescheid, wenn sich etwas Neues tut. Wow, das nenne ich progress :).

rowitech
Mitglied
Beiträge: 6
Registriert: 19.07.2020 15:19

Re: [3.2] Konvertierung vBulleton 4.2.5 => phpBB 3.2

Beitrag von rowitech »

Nochmal News nach längerer Zeit. Ich ziehe das Ding hier durch, es dauert halt nur etwas. Das Forum ist sehr groß, daher möchte ich möglichst nicht die DB des Servers umziehen müssen, sondern idealerweise alles dort machen.

Grundsätzlich ist die Konvertierung durchgelaufen (hat aber nen Tag gedauert). Jetzt geht es an die Feinheiten, d.h. mir fehlen noch die Beitragsinhalte (Unterforen und Überschriften sind da, wenn auch mit kaputten Umlauten), Berechtigungen fehlen (jeder darf jetzt alles sehen) und das bbcode-Problem bei der 3.0.9, wo PHP7 noch nicht unterstützt wird.

Bei dem Fehler, der wohlbekannt ist, wird immer gesagt "zurück zu PHP5". Wenn das aber der einzige Fehler ist, könnte ich die betreffenden Zeilen doch passend umschreiben, oder? Leider muss ich mit anderen PHP-Versionen vorsichtig sein, da auf dem Server noch anderen Dienste laufen.

Code: Alles auswählen

[phpBB Debug] PHP Warning: in file /includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
Grüße,
Rolf

Antworten

Zurück zu „Support-Forum“